package FFRIndexed::Template::Plugin::Playlist;
use strict;
use base 'FFRIndexed::Template::Plugin';
use vars qw($VERSION);
$VERSION = '0.06';

=head1 NAME

FFRIndexed::Template::Plugin::Playlist - display/download a playlist

=cut

__PACKAGE__->visual( 'as playlist' );
__PACKAGE__->content_type('audio/mpegurl');
__PACKAGE__->types({
  page => 'playlist'
});

sub applies {
  my ($self, $query, $resultset, $refinements) = @_;
  for (@$resultset) {
    return 1
      if ($_->{mime_type} =~ /^audio/);
  };
  return
};

1;
